%global pypi_name aioruuvigateway

Name:		python-%{pypi_name}
Summary:	Request data from a Ruuvi Gateway
Version:	0.1.0
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Source0:	%{pypi_source}
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildArch:	noarch

%description
An asyncio-native library for requesting data from a Ruuvi Gateway.

%package -n python3-%{pypi_name}
Summary:	Request data from a Ruuvi Gateway

%description -n python3-%{pypi_name}
An asyncio-native library for requesting data from a Ruuvi Gateway.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.0-2.mga10
+ Revision: 2237219
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 0.1.0-1.mga10
+ Revision: 2152934
- new version 0.1.0
- rebuild for python3.13

* Tue Dec 19 2023 papoteur <papoteur> 0.0.2-3.mga10
+ Revision: 2019437
- Mass Rebuild - Python 3.12

* Sun Feb 05 2023 wally <wally> 0.0.2-2.mga9
+ Revision: 1938608
- add patch to add age information to TagData if available

* Sun Feb 05 2023 wally <wally> 0.0.2-1.mga9
+ Revision: 1938603
- imported package python-aioruuvigateway

